BTC Digital Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/btc-digital-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/btc-digital-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1770249600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://btctcorp.com/bitcoin-treasury-corporation-provides-update-on-normal-course-issuer-bid/",
    "holding_balance": 769.05,
    "holding_net_change": -2.35,
    "transaction_value_usd": 147738.9305,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1772582400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://btctcorp.com/bitcoin-treasury-corporation-provides-february-update-on-normal-course-issuer-bid/",
    "holding_balance": 761.63,
    "holding_net_change": -7.42,
    "transaction_value_usd": 539374.0464,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1775520000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://btctcorp.com/bitcoin-treasury-corporation-provides-march-update-on-normal-course-issuer-bid/",
    "holding_balance": 759.31,
    "holding_net_change": -2.32,
    "transaction_value_usd": 166879.0384,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/btc-digital-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    759.31
  ],
  [
    1779062400000,
    759.31
  ],
  [
    1779148800000,
    759.31
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/btc-digital-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    58793266.996599995
  ],
  [
    1779062400000,
    58424553.6537
  ],
  [
    1779148800000,
    58284643.19309999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/btc-digital-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 4.41,
    "date": "2026-05-14",
    "high": 4.71,
    "open": 4.41,
    "close": 4.71,
    "volume": 22900
  },
  {
    "low": 4.445,
    "date": "2026-05-15",
    "high": 4.5,
    "open": 4.445,
    "close": 4.5,
    "volume": 7300
  },
  {
    "low": 4.35,
    "date": "2026-05-19",
    "high": 4.44,
    "open": 4.4,
    "close": 4.35,
    "volume": 27312
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/btc-digital-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/btc-digital-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 7.94,
  "six_month_return": -40.0,
  "three_month_return": 5.84
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/btc-digital-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 132.6,
  "total_btc_percentage": 0.004,
  "share_price_change_state": "down"
}